Subject: Re: makefile
From: [email-masked] (ZongWei Luo)

27 May 1998 05:42:47 -0700
Message-ID: <Pine.SOL.3.91.980526095515.3681B-100000.cygnus.gnu-win32@pollux>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]

Thank you! I tried that, but I still get the following error messages.
One reason might be  command cd is from NT shell, not from unix shell.So 
system cannot find the path.  Where can I get a unix shell having cd in 
it?  

=== error  ===
cd  util/src ; gmake allnt
cd  src    ; gamke allnt
The system cannot find the path specified.
MAKE: *** [allnt] unknown signal
cd tasklib  ; gmake allnt
The system cannot find the path specified.
MAKE: *** [allnt] unknown signal
cd interop  ; gmake allnt
The system cannot find the path specified.
MAKE: *** [allnt] unknown signal    
======

Thanks in advance.  

Zongwei 

On Tue, 26 May 1998, Earnie Boyd wrote:

> 
> CMD> set MAKE_MODE=unix
> 
> ||
> 
> BASH> export MAKE_MODE=unix
> 
> 
> Please read the IMPORTANT UPGRADE NOTICE at the end of this note.
> Please use the Searchable Mail Archives.
> 
> ---ZongWei Luo <[email-masked]> wrote:
> >
> > 
> > I just started  using cygnus b19 package.  I have a basic question
> here.
> > On UNIX, in makefile , for example, we have
> > 
> > CD= cd
> > MAKE =make
> > 
> > all:
> >         cd util/src      ; $(MAKE)
> 
> Why not $(CD)?
> 
> >         cd $(WW)/src     ; $(MAKE)
> 
> Where is WW defined?
> 
> >         cd $(WW)/interop ; $(MAKE)
> > 
> > But this makefile does not work on NT. Did I set up cygnus not
> correctly
> > or is it necessary to modify the makefile?
> > 
> > Thank you!
> > 
> > Zongwei Luo     
> > -
> > For help on using this list (especially unsubscribing), send a
> message to
> > "[email-masked]" with one line of text: "help".
> > 
> 
> 
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------
> 
> Please, research your question via the Searchable Mail Archives first.
> http://www.cygnus.com/ml/gnu-win32          (Searchable Mail Archives)
> 
> Check out these great gnu-win32 related sites:
> ftp://ftp.cygnus.com/pub/gnu-win32/latest/                  (ftp site)
> http://www.cygnus.com/pubs/gnupro/                    (Comercial Page)
> http://www.cygnus.com/misc/gnu-win32/                   (Project Page)
> http://www.itribe.net/virtunix/winhelp-man-pages/     (HTML Man Pages)
> http://www.lexa.ru/sos                               (Sergey Okhapkin)
> ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
> http://www.fu.is.saga-u.ac.jp/~colin/gcc.html (Colin Peters - Mingw32)
> http://www.xraylith.wisc.edu/~khan/software/gnu-win32/    (Mumit Khan)
> ftp://ftp.hksys.com/pub/mirrors/EGCS-Win32/   (Jeremy Bettis - mirror)
> http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
> http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
> http://rcw.home.ml.org/                  (Rob Warner - software ports)
> http://www.parallax.co.uk/~andyp/index_text.html  (Andy Piper - ports)
> http://www.tiac.net/users/cgf     (Christopher Faylor - package ports)
> ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin32/ 
>                                                        (German mirror)
> http://www.dol.ru/users/valtul      (Valery Tulnikov - software ports)
> ftp://ftp.cs.nyu.edu/pub/local/fox/cygwin32 (David fox - RPM packages)
> 
> 
> Help for Win32 Beginners: 
>  http://www.relisoft.com
>  http://www.program.com/resources/win32.html
> 
> DISCLAIMER: These links or links from these pages to other sites do
> not constitute an endorsement of any entities, advertisers, products 
> or services therein. I am not responsible for and do not control or 
> monitor the content of these sites or the accuracy of information 
> found therein.
> 
> -------------------- IMPORTANT UPGRADE NOTICE ------------------------
> You should get the following to update your cygwinb19 package:
> 
> Sergey Okhapkin's coolview package which contains an updated 
> cygwinb19.dll.  (Yes, even if you've already downloaded the b19.1 
> update from the Cygnus Site).
> 
> Mumit Khan's compilation of EGCS for the cygwinb19.dll; especially if 
> you're using the C++ compiler.  The current version of the compiler
> that 
> comes with the tools has lots of problems that have been fixed with 
> the EGCS version.  This is a drop-in replacement for the GCC toolset.
> 
> URL's are listed above.
> -----------------------------------------------------------------------
> 
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".